DatanodeInfo.AdminStates (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: DatanodeInfo, enum: AdminStates

Package org.apache.hadoop.hdfs.protocol

# Enum Class DatanodeInfo.AdminStates

java.lang.Object
java.lang.Enum<DatanodeInfo.AdminStates>
org.apache.hadoop.hdfs.protocol.DatanodeInfo.AdminStates

All Implemented Interfaces:
  `Serializable`, `Comparable<DatanodeInfo.AdminStates>`, `Constable`

Enclosing class:
  org.apache.hadoop.hdfs.protocol.DatanodeInfo

public static enum DatanodeInfo.AdminStates extends Enum<DatanodeInfo.AdminStates>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DECOMMISSION_INPROGRESS`
  `DECOMMISSIONED`
  `ENTERING_MAINTENANCE`
  `IN_MAINTENANCE`
  `NORMAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DatanodeInfo.AdminStates`
  `fromValue(String value)`
  `String`
  `toString()`
  `static DatanodeInfo.AdminStates`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DatanodeInfo.AdminStates[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final DatanodeInfo.AdminStates NORMAL

  - ### DECOMMISSION_INPROGRESS

    public static final DatanodeInfo.AdminStates DECOMMISSION_INPROGRESS

  - ### DECOMMISSIONED

    public static final DatanodeInfo.AdminStates DECOMMISSIONED

  - ### ENTERING_MAINTENANCE

    public static final DatanodeInfo.AdminStates ENTERING_MAINTENANCE

  - ### IN_MAINTENANCE

    public static final DatanodeInfo.AdminStates IN_MAINTENANCE

- ## Method Details

  - ### values

    public static DatanodeInfo.AdminStates[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DatanodeInfo.AdminStates valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<DatanodeInfo.AdminStates>`

  - ### fromValue

    public static DatanodeInfo.AdminStates fromValue(String value)